package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.inventory.dto.InventoryIngredientsDto;
import com.sd.business.entity.inventory.dto.InventoryIngredientsSelectDto;
import com.sd.business.entity.inventory.vo.InventoryIngredientsVo;
import com.sd.business.service.inventory.InventoryIngredientsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 原料库存 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-08
 */
@RestController
@RequestMapping("/inventoryIngredients")
public class InventoryIngredientsController {

    @Autowired
    private InventoryIngredientsService inventoryIngredientsService;

    /**
     * 原料库存分页
     */
    @PostMapping("/page")
    public Page<InventoryIngredientsVo> page(@RequestBody InventoryIngredientsSelectDto dto) {
        return inventoryIngredientsService.getPage(dto);
    }

    /**
     * 原料库存明细
     */
    @PostMapping("/detail")
    public InventoryIngredientsVo detail(@RequestBody BaseSelectDto dto) {
        return inventoryIngredientsService.detail(dto.getId());
    }

    /**
     * 原料库存新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InventoryIngredientsDto dto) {
        inventoryIngredientsService.add(dto);
    }

    /**
     * 原料库存编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InventoryIngredientsDto dto) {
        inventoryIngredientsService.edit(dto);
    }

    /**
     * 原料库存删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inventoryIngredientsService.delete(dto.getId());
    }

}
