package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventoryIngredientsDto;
import com.sd.business.entity.inventory.dto.InventoryIngredientsSelectDto;
import com.sd.business.entity.inventory.po.InventoryIngredients;
import com.sd.business.entity.inventory.vo.InventoryIngredientsVo;


/**
 * <p>
 * 原料库存 服务类
 * </p>
 *
 * @author
 * @since 2024-01-08
 */
public interface InventoryIngredientsService extends BaseService<InventoryIngredients> {

    /**
     * 原料库存分页
     */
    Page<InventoryIngredientsVo> getPage(InventoryIngredientsSelectDto dto);

    /**
     * 原料库存明细
     */
    InventoryIngredientsVo detail(Long id);

    /**
     * 原料库存新增
     */
    void add(InventoryIngredientsDto dto);

    /**
     * 原料库存编辑
     */
    void edit(InventoryIngredientsDto dto);

    /**
     * 原料库存删除
     */
    void delete(Long id);

}
